# Generated from bitfifo-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bitfifo

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: FIFO system for 1 or more bits
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(byebug) >= 5.0
# BuildRequires: rubygem(byebug) < 6
# BuildRequires: rubygem(byebug) >= 5.0.0
BuildArch: noarch

%description
Bitfifo implements a FIFO for 1 or more bits of an Integer.
This will be needed for a compression and encryption system.
Could be used for any variable length integer based problems including base64
encode/decode.
Includes bit reversals for LSB first or MSB first systems.
No need to worry about overfill as a Bignum is used to store bits.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bitfifo.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.2.1-1
- Initial package
